PSIGNAL(3)

NAME
psignal - print signal message

SYNOPSIS
#include <signal.h>

void psignal(int sig, const char *s);

extern const char *const sys_siglist[];

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

psignal(): _SVID_SOURCE || _BSD_SOURCE
sys_siglist: _BSD_SOURCE

DESCRIPTION
The psignal() function displays a message on stderr consisting of the string s, a colon, a space, and a string describing the signal number sig. If sig is invalid, the message displayed will indicate an unknown signal.

The array sys_siglist holds the signal description strings indexed by signal number.

RETURN VALUE
The psignal() function returns no value.

CONFORMING TO
4.3BSD

SEE ALSO
perror(3), strsignal(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.